Bug 484166 - QEmu uses 100% of two assigned cores for XP guest
QEmu uses 100% of two assigned cores for XP guest
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: kvm (Show other bugs)
10
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Glauber Costa
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-02-04 22:54 EST by Sean Madden
Modified: 2009-10-29 07:57 EDT (History)
11 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 222788
Environment:
Last Closed: 2009-03-20 12:42:12 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Sean Madden 2009-02-04 22:54:32 EST
Description of problem:
When running an XP Virtual Machine, VM Processor usage shows ~1/2% CPU utilization across two assigned cores.  Linux Host CPU shows 100% CPU utilization across same two assigned cores.

Version-Release number of selected component (if applicable):
QEMU PC emulator version 0.9.1 (kvm-74)
Kernel 2.6.27.12-170.2.5.fc10.x86_64

How reproducible: Every time.


Steps to Reproduce:
1. Load 'Virtual Machine Manager'
2. Create/Run Windows XP Virtual Machine
3. View CPU usage of 'qemu-kvm' process using 'top'
  
Actual results:
Host shows 100% CPU usages across multiple cores

Expected results:
Host shows normal utilization + ~1/2% utilization of guest processors

Additional info:
Comment 1 Andre Robatino 2009-02-05 01:10:32 EST
By any chance, does the XP guest have access to USB devices, and if so, does the CPU usage go down to normal if you turn it off?  VirtualBox has this problem and it has some code in common with QEMU.
Comment 2 Mark McLoughlin 2009-02-05 05:12:35 EST
Moving to kvm
Comment 3 Mark McLoughlin 2009-02-05 05:14:22 EST
I've heard it mention several times that what 100% CPU usage reporting for qemu-kvm running guests is often incorrect. Anybody have more details on that?
Comment 4 Chris Lalancette 2009-03-02 08:50:34 EST
I'm not seeing this problem in F-11 anymore; switching my Windows XP guest to 2 virtual CPUs seems to use not much more CPU time than 1 virtual CPU.  That being said, even under F-11, while the guest is pretty idle (windows task manager is showing between 2-5% cpu usage), the usage on the host is still a bit high; somewhere between 15-30% according to top.  Any chance you can try out F-11 kvm and kernel and see if it improves the situation for you?

Chris Lalancette
Comment 5 Mark McLoughlin 2009-03-20 12:42:12 EDT
Okay, based on Chris's comment, I think we can assume this is fixed in rawhide. Please re-open if you see this issue with F11
Comment 6 jdk 2009-10-25 14:36:34 EDT
Still seeing this problem on F11 with the following package versions on x86_64:
qemu-2:0.10.6-7.fc11
qemu-kvm-2:0.10.6-7.fc11
qemu-system-x86-2:0.10.6-7.fc11
virt-manager-0.7.0-7.fc11

XP guests use 100% of each alloted CPU on the host, regardless of guest CPU utilization.
Comment 7 Mark McLoughlin 2009-10-29 07:57:02 EDT
joshua, please open a new bug against Fedora 11 with as much info a you can provide

See http://fedoraproject.org/wiki/How_to_debug_Virtualization_problems for some hints on the kind of info you could provide

Note You need to log in before you can comment on or make changes to this bug.